---
updatedAt: 2025-02-14T12:41:56.000Z
agentTools:
  projectIndex: https://developer.walkme.com/llms.txt
---

# Export Self-Hosted File

<HTMLBlock>{`
<p><code><span style="color:blue"><strong>POST</strong></span></code></p>
`}</HTMLBlock>

<https://api.walkme.com/public/v1/systems/SYSTEM_GUID/SelfHostedFiles/export>

***

## PATH PARAMS

***

### SYSTEM\_GUID `String`

System GUID in the format of (8,4,4,4,12): XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX

***

## BODY PARAMS

***

<HTMLBlock>{`
<p style="font-size:20px"><strong>packageType <code>String</code> <code><span style="color:red">Required</strong></span></code></p>
`}</HTMLBlock>

The package type to be exported.\
Supported types:\
All files including WalkMe Player OR ContentOnly - Only Data files.\
For supported customers only, contact Support to apply this functionality.

<HTMLBlock>{`
<p style="font-size:20px"><strong>envId <code>Int32</code> <code><span style="color:red">Required</strong></span></code></p>
`}</HTMLBlock>

The ID of the environment to be downloaded

***

```json Request
{
	“packageType”: “All”,
	“envId”: 0
}
```

```javascript Result
Content-Type: application/zip
Content-Disposition: attachment; filename=FILENAME
```